Uncontrolled Search Path Element Affecting github.com/bits-and-blooms/bloom package, versions <3.3.1


Severity

0.0
high
0
10

    Threat Intelligence

    Exploit Maturity
    Proof of concept
    EPSS
    0.06% (26th percentile)

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-GOLANG-GITHUBCOMBITSANDBLOOMSBLOOM-3229186
  • published 13 Jan 2023
  • disclosed 12 Jan 2023
  • credit Akincibor

How to fix?

Upgrade github.com/bits-and-blooms/bloom to version 3.3.1 or higher.

Overview

Affected versions of this package are vulnerable to Uncontrolled Search Path Element by allowing an attacker to redirect the user to a malicious repository.

CVSS Scores

version 3.1
Expand this section

Snyk

7.8 high
  • Attack Vector (AV)
    Local
  • Attack Complexity (AC)
    Low
  • Privileges Required (PR)
    None
  • User Interaction (UI)
    Required
  • Scope (S)
    Unchanged
  • Confidentiality (C)
    High
  • Integrity (I)
    High
  • Availability (A)
    High
Expand this section

NVD

7.8 high